Bug 496033 - [fix available] firefox crashed when opening openoffice.org files
[fix available] firefox crashed when opening openoffice.org files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.3
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 04:05 EDT by Cao, Chen
Modified: 2010-03-30 04:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (1.04 KB, patch)
2009-04-16 08:10 EDT, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 82545 None None None Never

  None (edit)
Description Cao, Chen 2009-04-16 04:05:02 EDT
Description of problem:
After enabling the mozilla plugin in openoffice, open an  odt document in Firefox => ff crashes.


Version-Release number of selected component (if applicable):
openoffice.org-2.3.0-6.10.el5


How reproducible:
100% reproducible


Steps to Reproduce:
1.Start OO writer.
2.Enable the mozilla plugin (Tools | Options | Internet | Mozilla plugin)
3. Exit OO writer
4.Restart Firefox
5 Note that the openoffice plugin is enabled in about:plugins
6 Use File | Open to open an odt document.

  
Actual results:
Firefox crashed


Expected results:
Document opened in browser, and no other program crashed.


Additional info:
please refer to bug #450212.

according to the ChangeLog, this issue is not fixed in openoffice.org-2.3.0-6.11.el5
Comment 1 Caolan McNamara 2009-04-16 04:18:13 EDT
This is x86_64 right ? (i.e. probably the same as #450212 which is 64bit only), or i386 as well ?
Comment 2 Cao, Chen 2009-04-16 05:38:25 EDT
yes. only exists on x86_64

(In reply to comment #1)
> This is x86_64 right ? (i.e. probably the same as #450212 which is 64bit only),
> or i386 as well ?
Comment 3 Caolan McNamara 2009-04-16 08:10:04 EDT
Created attachment 339832 [details]
patch to fix
Comment 5 koka xiong 2009-12-29 02:31:09 EST
Verified with openoffice.org-3.1.1-19.1.el5 on
Red Hat Enterprise Linux 5Client - i386, x86_64
Red Hat Enterprise Linux 5Server-DPAS - i386, x86_64
Steps:
1.Start OO writer.
2.Enable the mozilla plugin (Tools | Options | Internet | Mozilla plugin)
3.Exit OO writer
4.Restart Firefox
5 Note that the openoffice plugin is enabled in about:plugins
6 Use File | Open to open an odt document in firefox,
now the file can be opened by firefox well,no crash happened.

Verification is passed.
Comment 9 errata-xmlrpc 2010-03-30 04:45:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0274.html

Note You need to log in before you can comment on or make changes to this bug.